import React from 'react';
export declare type CheckboxProps = {
    id?: string;
    label?: string;
    description?: string;
    type?: 'checkbox' | 'radio' | 'switch';
    className?: string;
    name?: string;
    checked?: boolean;
    color?: string;
    disabled?: boolean;
} & React.HTMLAttributes<HTMLInputElement>;
export declare const Checkbox: ({ label, description, className, type, checked, color, disabled, ...props }: CheckboxProps) => JSX.Element;
