import React from 'react';
declare const buttonStories: {
    title: string;
    component: React.ForwardRefExoticComponent<{
        id?: string | undefined;
        disabled?: boolean | undefined;
        children?: React.ReactNode;
        className?: string | undefined;
        styles?: "btn-pri-hi" | "btn-sec-hi" | "btn-net-hi" | "btn-pri-med" | "btn-sec-med" | "btn-net-med" | "btn-pri-low" | "btn-sec-low" | "btn-net-low" | "hyperlink" | undefined;
    } & React.HTMLAttributes<HTMLButtonElement> & React.RefAttributes<HTMLButtonElement>>;
    parameters: {
        docs: {
            description: {
                component: string;
            };
        };
    };
    argTypes: {
        styles: {
            defaultValue: string;
        };
        disabled: {
            defaultValue: boolean;
        };
    };
};
export default buttonStories;
export declare const Overview: (args: any) => JSX.Element;
export declare const ColorAndIcon: {
    (): JSX.Element;
    parameters: {
        docs: {
            description: {
                story: string;
            };
        };
    };
};
export declare const VariantOutline: {
    (): JSX.Element;
    parameters: {
        docs: {
            description: {
                story: string;
            };
        };
    };
};
export declare const VariantText: {
    (): JSX.Element;
    parameters: {
        docs: {
            description: {
                story: string;
            };
        };
    };
};
export declare const VariantHyperlink: {
    (): JSX.Element;
    parameters: {
        docs: {
            description: {
                story: string;
            };
        };
    };
};
export declare const Disabled: {
    (): JSX.Element;
    parameters: {
        docs: {
            description: {
                story: string;
            };
        };
    };
};
