declare const checkboxStories: {
    title: string;
    component: ({ label, description, className, type, checked, color, disabled, ...props }: import("../..").CheckboxProps) => JSX.Element;
    parameters: {
        docs: {
            description: {
                component: string;
            };
        };
    };
    argTypes: {
        id: {
            control: null;
        };
        label: {
            defaultValue: string;
        };
        description: {
            defaultValue: string;
        };
        disabled: {};
        color: {};
        type: {
            control: null;
        };
        className: {
            control: null;
        };
        name: {
            control: null;
        };
    };
};
export default checkboxStories;
export declare const Overview: (args: any) => JSX.Element;
export declare const WithLabel: {
    (): JSX.Element;
    parameters: {
        docs: {
            description: {
                story: string;
            };
        };
    };
};
export declare const WithoutLabel: {
    (): JSX.Element;
    parameters: {
        docs: {
            description: {
                story: string;
            };
        };
    };
};
export declare const Disabled: {
    (): JSX.Element;
    parameters: {
        docs: {
            description: {
                story: string;
            };
        };
    };
};
