declare const chipStories: {
    title: string;
    component: ({ label, value, color, disabled, onChange, className, prefixIcon, suffixIcon, ...props }: import("../..").ChipProps) => JSX.Element;
    parameters: {
        docs: {
            description: {
                component: string;
            };
        };
    };
    argTypes: {
        id: {
            control: null;
        };
        label: {
            defaultValue: string;
        };
        value: {
            defaultValue: boolean;
        };
        disabled: {
            defaultValue: boolean;
        };
        color: {};
        className: {
            control: null;
        };
        name: {
            control: null;
        };
    };
};
export default chipStories;
export declare const Overview: (args: any) => JSX.Element;
export declare const PrefixIcon: () => JSX.Element;
export declare const SuffixIcon: () => JSX.Element;
export declare const Disabled: () => JSX.Element;
export declare const Variants: () => JSX.Element;
