declare const dialogStories: {
    title: string;
    component: ({ image, title, children, className, btnLabel1, btnLabel2, btnLabel3, isLargeSize, open, isMobileVertical, onClose, onButtonClick1, onButtonClick2, onButtonClick3, ...props }: import("../../components").DialogProps) => JSX.Element;
    parameters: {
        docs: {
            description: {
                component: string;
            };
        };
    };
    argTypes: {
        title: {
            defaultValue: string;
        };
        image: {
            defaultValue: string;
        };
        isLargeSize: {
            defaultValue: boolean;
        };
        children: {
            defaultValue: string;
            control: {
                type: string;
            };
        };
        open: {};
        className: {
            control: null;
        };
        btnLabel1: {
            defaultValue: string;
        };
        btnLabel2: {
            defaultValue: string;
        };
        btnLabel3: {
            defaultValue: string;
        };
        isMobileVertical: {
            defaultValue: boolean;
        };
    };
};
export default dialogStories;
export declare const Overview: (args: any) => JSX.Element;
export declare const NoTitle: () => JSX.Element;
export declare const WithTitle: () => JSX.Element;
export declare const WithImage: () => JSX.Element;
export declare const WithForm: () => JSX.Element;
export declare const LargeSize: () => JSX.Element;
export declare const Variants: () => JSX.Element;
