declare const defaultDropdown: {
    title: string;
    component: ({ label, inputRef, value, onClick, onChange, onBlur, onFocus, displayFn, disabled, required, status, options, multiSelect, type, size, assitiveText, ...props }: import("../..").DropdownProps) => JSX.Element;
    parameters: {
        docs: {
            description: {
                component: string;
            };
        };
    };
    argTypes: {
        options: {
            defaultValue: {
                label: string;
                value: string;
            }[];
        };
        label: {
            defaultValue: string;
        };
        disabled: {};
        required: {};
        status: {};
        id: {
            control: null;
        };
        name: {
            control: null;
        };
        value: {
            control: null;
        };
        onChange: {
            control: null;
        };
        onBlur: {
            control: null;
        };
        onFocus: {
            control: null;
        };
        inputRef: {
            control: null;
        };
    };
};
export default defaultDropdown;
export declare const Overview: (args: any) => JSX.Element;
export declare const SmalSize: {
    (): JSX.Element;
    parameters: {
        docs: {
            description: {
                story: string;
            };
        };
    };
};
export declare const TypeDropdown: {
    (args: any): JSX.Element;
    parameters: {
        docs: {
            description: {
                story: string;
            };
        };
    };
};
export declare const MultiSelect: {
    (): JSX.Element;
    parameters: {
        docs: {
            description: {
                story: string;
            };
        };
    };
};
export declare const WithError: {
    (): JSX.Element;
    parameters: {
        docs: {
            description: {
                story: string;
            };
        };
    };
};
export declare const Disabled: {
    (): JSX.Element;
    parameters: {
        docs: {
            description: {
                story: string;
            };
        };
    };
};
export declare const WiderSizeInput: {
    (): JSX.Element;
    parameters: {
        docs: {
            description: {
                story: string;
            };
        };
    };
};
