declare const stepperStories: {
    title: string;
    component: ({ id, title, description, color, className, isHighEmphasis, isButton, buttonLabel, onClick, icon, ...props }: import("../..").InfoboxProps) => JSX.Element;
    parameters: {
        docs: {
            description: {
                component: string;
            };
        };
    };
    argTypes: {
        title: {
            defaultValue: string;
        };
        description: {
            defaultValue: string;
        };
        icon: {
            defaultValue: string;
        };
        isButton: {
            defaultValue: boolean;
        };
        buttonLabel: {
            defaultValue: string;
        };
        isHighEmphasis: {
            defaultValue: boolean;
        };
        color: {};
        className: {
            control: null;
        };
    };
};
export default stepperStories;
export declare const Overview: (args: any) => JSX.Element;
export declare const TitleAndButton: () => JSX.Element;
export declare const TitleAndIcon: () => JSX.Element;
export declare const DesciptionOnly: () => JSX.Element;
export declare const TitleAndDesciption: () => JSX.Element;
export declare const TitleOnly: () => JSX.Element;
export declare const IconOnly: () => JSX.Element;
export declare const IconAndTitle: () => JSX.Element;
export declare const HighEmphasis: () => JSX.Element;
export declare const Colors: () => JSX.Element;
