declare const inputStories: {
    title: string;
    component: ({ id, name, label, value, onBlur, onFocus, disabled, required, status, assitiveText, characterLimit, longParagraph, size, icon, prefix, suffix, placeholder, ...props }: import("../..").InputProps) => JSX.Element;
    parameters: {
        docs: {
            description: {
                component: string;
            };
        };
    };
    argTypes: {
        label: {
            defaultValue: string;
        };
        assitiveText: {
            defaultValue: string;
        };
        prefix: {};
        suffix: {};
        disabled: {};
        required: {};
        status: {};
        id: {
            control: null;
        };
        name: {
            control: null;
        };
        value: {
            control: null;
        };
        onBlur: {
            control: null;
        };
        onFocus: {
            control: null;
        };
        inputRef: {
            control: null;
        };
        characterLimit: {
            control: {
                type: string;
                min: number;
            };
        };
    };
};
export default inputStories;
export declare const Overview: (args: any) => JSX.Element;
export declare const ValueBinding: {
    (): JSX.Element;
    parameters: {
        docs: {
            description: {
                story: string;
            };
        };
    };
};
export declare const WithAssitiveText: {
    (): JSX.Element;
    parameters: {
        docs: {
            description: {
                story: string;
            };
        };
    };
};
export declare const WithIcon: {
    (): JSX.Element;
    parameters: {
        docs: {
            description: {
                story: string;
            };
        };
    };
};
export declare const Required: {
    (): JSX.Element;
    parameters: {
        docs: {
            description: {
                story: string;
            };
        };
    };
};
export declare const WithCharacterLimit: {
    (): JSX.Element;
    parameters: {
        docs: {
            description: {
                story: string;
            };
        };
    };
};
export declare const ErrorStatus: {
    (): JSX.Element;
    parameters: {
        docs: {
            description: {
                story: string;
            };
        };
    };
};
export declare const Disabled: {
    (): JSX.Element;
    parameters: {
        docs: {
            description: {
                story: string;
            };
        };
    };
};
