import React from 'react';
export declare type ButtonProps = {
    id?: string;
    disabled?: boolean;
    children?: React.ReactNode;
    className?: string;
    styles?: 'btn-pri-hi' | 'btn-sec-hi' | 'btn-net-hi' | 'btn-pri-med' | 'btn-sec-med' | 'btn-net-med' | 'btn-pri-low' | 'btn-sec-low' | 'btn-net-low' | 'hyperlink';
} & React.HTMLAttributes<HTMLButtonElement>;
export declare const Button: React.ForwardRefExoticComponent<{
    id?: string | undefined;
    disabled?: boolean | undefined;
    children?: React.ReactNode;
    className?: string | undefined;
    styles?: "btn-pri-hi" | "btn-sec-hi" | "btn-net-hi" | "btn-pri-med" | "btn-sec-med" | "btn-net-med" | "btn-pri-low" | "btn-sec-low" | "btn-net-low" | "hyperlink" | undefined;
} & React.HTMLAttributes<HTMLButtonElement> & React.RefAttributes<HTMLButtonElement>>;
