declare const popupStories: {
    title: string;
    component: ({ maxWidth, image, title, className, children, btnLabel1, btnLabel2, btnLabel3, open, isMobileVertical, isCloseButtonLeft, onClose, onButtonClick1, onButtonClick2, onButtonClick3, ...props }: import("../..").PopupProps) => JSX.Element;
    parameters: {
        docs: {
            description: {
                component: string;
            };
        };
    };
    argTypes: {
        title: {
            defaultValue: string;
        };
        image: {};
        children: {
            defaultValue: string;
            control: {
                type: string;
            };
        };
        open: {};
        className: {
            control: null;
        };
        btnLabel1: {
            defaultValue: string;
        };
        btnLabel2: {
            defaultValue: string;
        };
        btnLabel3: {
            defaultValue: string;
        };
        isMobileVertical: {
            defaultValue: boolean;
        };
        isCloseButtonLeft: {
            defaultValue: boolean;
        };
    };
};
export default popupStories;
export declare const Overview: (args: any) => JSX.Element;
export declare const WithImage: (args: any) => JSX.Element;
export declare const Variants: (args: any) => JSX.Element;
