declare const stepperStories: {
    title: string;
    component: ({ value, color, disabled, isDisableDecrease, isDisableIncrease, onChange, ...props }: import("../..").StepperProps) => JSX.Element;
    parameters: {
        docs: {
            description: {
                component: string;
            };
        };
    };
    argTypes: {
        id: {
            control: null;
        };
        value: {
            defaultValue: number;
        };
        disabled: {};
        color: {};
        type: {
            control: null;
        };
        className: {
            control: null;
        };
        name: {
            control: null;
        };
    };
};
export default stepperStories;
export declare const Overview: (args: any) => JSX.Element;
export declare const DisableDecrease: {
    (): JSX.Element;
    parameters: {
        docs: {
            description: {
                story: string;
            };
        };
    };
};
export declare const DisableIncrease: {
    (): JSX.Element;
    parameters: {
        docs: {
            description: {
                story: string;
            };
        };
    };
};
export declare const Disabled: {
    (): JSX.Element;
    parameters: {
        docs: {
            description: {
                story: string;
            };
        };
    };
};
